<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00057000ConfiguracaoRegionalFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getIdiomaMoedaPadrao() {
        $sql = "SELECT IDIOMA.CDIDIOM,
                       IDIOMA.NMIDIOMA,
                       FCT_MOEDA.NRMOEDA,
                       FCT_MOEDA.NMMOEDA
                  FROM IDIOMA, FCT_MOEDA
                 WHERE IDIOMA.IDPADRAO = 'S'
                   AND FCT_MOEDA.IDPADRAO = 'S'";

        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }
}