<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00006000RelacElementoFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection = $entityManager->getConnection();
    }
    
    /**
     * A função "validaServicoRelacionado" verifica se o serviço 
     * que está sendo relacionado já existe está relacionadoao serviço.
     */
    
    public function validaServicoRelacionado($params){
        
        $queryValidaServRelac = "SELECT COUNT(*) AS VALIDASERV
                                      FROM FCT_RELACSERVICO
                                     WHERE CDSERVORCARELAC IN (".$params['CDSERVORCARELAC'].")
                                       AND CDTPMEDIDASERV = :CDTPMEDIDASERV
                                       AND CDSERVORCA = :CDSERVORCA
                                       AND NRORG = :NRORG";

        unset($params['CDSERVORCARELAC']);
        $std = $this->connection->prepare($queryValidaServRelac);
        $std->execute($params);
        $returnValidaServRelac = $std->fetchAll();
        return $returnValidaServRelac;
    }
}
?>